\name{readVSfile}
\alias{readVSfile}
\title{ A function read vertically stacked MAExplorer array expression data}
\description{
    A function that read vertically stacked MAExplorer array expression data
    using a two line header.
}
\usage{
readVSfile(data)
}

\arguments{
    \item{file}{The name of the data file containing expression data
     exported from MAExplorer}
}
\details{
    \code{readVSfile} Read vertically stacked file of table data exported
     from MAExplorer. The column names are ("mid", "data", sampleName", 
     "condName") where mid is the row name.
}

\value{
A list with components
  \item{vData}{vertically stacked data frame of rows of genes with columns 
               of samples.} 
  \item{sampleNames}{Microarray sample names}
  \item{condNames}{unique condition names}
  \item{allCondNames}{condition names corresponding to samples}
  \item{nConds}{number of unique conditions}
  \item{nGenes}{number of rows of genes}
  \item{isVertStacked}{flag indicating the data frame is vertically stacked}
       }

\references{ }
 
\author{ Peter Lemkin and Shyam Sundaram }

\examples{
# Read the vertically stacked XY sets data file exported from MAExplorer
xySetTbl <- readVSfile("R-inputHP-XYsets.txt")

}
\keyword{ }

